## apt-clone 0.2.2

=== tests/Makefile ===

all: test

test:
	pyflakes ../apt-clone ../apt_clone.py
	set -e; for f in *.py; do \
		PYTHONPATH=.. python $$f; \
	done; \
	# cruft from the tests
	rm -f ./data/mock-system/var/cache/apt/*.bin
	rm -f ./lala.tar.gz

## apt-clone 0.1.6

=== debian/changelog ===
apt-clone (0.1.6) natty; urgency=low

  * apt_clone.py:
    - fix deprecation warning from python-apt
    - use actiongroup as context-manager to avoid pyflakes warning

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Apr 2011 11:10:48 +0200

apt-clone (0.1.5) natty; urgency=low

  * apt-clone:
    - Fix a typo that was causing restore-new-distro to crash.
  * Fix some errors and unused variables found using pyflakes.
  * Add pyflakes to make test.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 08 Apr 2011 15:40:58 +0100

apt-clone (0.1.4) natty; urgency=low

  * apt_clone.py:
    - add apt::architecture to the state file
  * apt_clone.py:
    - if run in restore-new-distro mode and we are on the new distro
      already (like e.g. ubiquity) then protect the installed packages on
      restore to ensure that conflicts get resolved in favor of the new
      defaults (important for e.g. clean xubuntu clone)
  * merged lp:~ev/apt-clone/739489, many thanks Evan Dandrea
    (LP: #739489)
  * debian/control:
    - depend on lsb-release for the restore-new-distro feature
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 Apr 2011 15:03:14 +0200

apt-clone (0.1.3) natty; urgency=low

  * debian/control:
    - add recommends on dpkg-repack (LP: #741269), thanks to Alin Andrei 
  * apt_clone.py:
    - run fakeroot with "-u" (LP: #741273), thanks to Alin Andrei 
    - do not fail if sources.list.d does not exist (LP: #745397)
  * .bzr-builddeb/default.conf:
    - run tests in the pre-build hook

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 31 Mar 2011 09:26:44 +0200

apt-clone (0.1.2) natty; urgency=low

  * apt_clone.py:
    - be more robust against situations where a pacakge fails to be
      marked for install during the restore (e.g. in a clone-upgrade
      situation). Thanks to Evan Dandrea
    - write uname info to the clone archive
    - include the apt Debug::pkgDepcache::AutoInstall output when in 
      debug mode
  * apt-clone:
    - add info command
  * tests/test_clone.py:
    - fix test
  * tests/test_clone_upgrade.py:
    - add save/restare tests for clone-upgrade against maverick->natty
      for ubuntu-stanard and {ubuntu,kubuntu,xubuntu}-desktop

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Mar 2011 16:20:28 +0200

apt-clone (0.1.1) natty; urgency=low

  * debian/contro:
    - add missing build-depends, tis fixes a FTBFS
  * apt_clone.py:
    - when a empty dir is given as the destination bootstrap 
      first and then restore the clone

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 22 Mar 2011 10:14:59 +0100

apt-clone (0.1) natty; urgency=low

  * initial version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Feb 2011 20:17:52 +0100

=== debian/control ===
Source: apt-clone
Section: admin
Priority: extra
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
               python-all,
               gettext,
               intltool,
Standards-Version: 3.9.1
Vcs-Bzr: https://code.launchpad.net/~mvo/apt-clone/trunk
Homepage: https://launchpad.net/apt-clone

Package: apt-clone
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         lsb-release,
	 python-apt 
Recommends: dpkg-repack
Description: Script to create state bundles
 This package can be used to clone/restore the packages on a apt based
 system. It will save/restore the packages, sources.list, keyring and
 automatic-installed states. It can also save/restore no longer
 downloadable packages using dpkg-repack.

## apt-clone 0.2

=== debian/changelog ===
apt-clone (0.2) unstable; urgency=low

  * Initial release (Closes: #622868).

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Jun 2011 00:49:05 +0200

## apt-clone 0.2.1

=== debian/changelog ===
apt-clone (0.2.1) unstable; urgency=low

  * apt-clone:
    - improve --help output (closes: #641864), thanks to
      Rogerio. Brito
  * apt-clone.8:
    - add simple man page
  * apt_clone.py:
    - fix tar prefix detection

 -- Michael Vogt <mvo@debian.org>  Wed, 19 Oct 2011 14:54:15 +0200

=== debian/control ===
Source: apt-clone
Section: admin
Priority: extra
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.8~),
               gettext,
               intltool,
               python-all (>= 2.6.6-3~)
Standards-Version: 3.9.2
Vcs-Bzr: http://bzr.debian.org/collab-maint/apt-clone/sid/
Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/apt-clone/sid/
Homepage: https://launchpad.net/apt-clone

Package: apt-clone
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         lsb-release,
         python-apt,
         python-argparse
Recommends: dpkg-repack
Description: Script to create state bundles
 This package can be used to clone/restore the packages on a apt based
 system. It will save/restore the packages, sources.list, keyring and
 automatic-installed states. It can also save/restore no longer
 downloadable packages using dpkg-repack.

## apt-clone 0.2.2

=== debian/changelog ===
apt-clone (0.2.2) unstable; urgency=low

  * fix extraction of no-longer downloadable debs, thanks
    to Gaurav Saxena for the patch! (closes: #637247)
  * fix python-argparse dependency, thanks to Adrian Bunk
    (closes: Bug#653517)

 -- Michael Vogt <mvo@debian.org>  Mon, 02 Jan 2012 17:55:49 +0100

## apt-clone 0.2.2ubuntu2

=== debian/changelog ===
apt-clone (0.2.2ubuntu2) precise-proposed; urgency=low

  * apt_clone.py: fix with syntax to work with python2.6 

 -- Brian Murray <brian@ubuntu.com>  Thu, 09 Aug 2012 13:10:17 -0700

apt-clone (0.2.2ubuntu1) precise-proposed; urgency=low

  * apt_clone.py:
    - if specified remove usernames and passwords from sources files
      (LP: #1029021)

 -- Brian Murray <brian@ubuntu.com>  Wed, 25 Jul 2012 09:45:23 -0700

## apt-clone 0.2.2ubuntu3

=== debian/changelog ===
apt-clone (0.2.2ubuntu3) precise-proposed; urgency=low

  * Ensure that /etc/apt/sources.list and /etc/apt/sources.list.d are put
    at the right place in the tarball by hardcoding their location in the
    tarball. (LP: #1066347) Thanks to Stéphane Graber for the patch.

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Dec 2012 15:24:02 -0800

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
          ${misc:Depends},
          lsb-release,
          python-apt,
-         python-argparse
+         python (>= 2.7) | python-argparse
 Recommends: dpkg-repack
 Description: Script to create state bundles
  This package can be used to clone/restore the packages on a apt based

## apt-clone 0.2.3~ubuntu3

=== tests/Makefile ===

all: test

test:
	pyflakes ../apt-clone ../apt_clone.py
	set -e; for f in *.py; do \
		for ver in python3 python2; do \
			PYTHONPATH=.. $$ver $$f; \
		done; \
	done; \
	# cruft from the tests
	rm -f ./data/mock-system/var/cache/apt/*.bin
	rm -f ./lala.tar.gz

=== debian/changelog ===
apt-clone (0.2.3~ubuntu3) quantal; urgency=low

  * Ensure that /etc/apt/sources.list and /etc/apt/sources.list.d are put
    at the right place in the tarball by hardcoding their location in the
    tarball. (LP: #1066347)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 15 Oct 2012 15:18:12 +0200

apt-clone (0.2.3~ubuntu2) quantal; urgency=low

  * apt_clone.py:
    - if specified remove usernames and passwords from sources files

 -- Brian Murray <brian@ubuntu.com>  Mon, 02 Jul 2012 13:54:34 -0700

apt-clone (0.2.3~ubuntu1) quantal; urgency=low

  * Upload version from current bzr trunk (lp:apt-clone).
    This version builds and uses python3 by default
    (code still works with python2).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 12 Jun 2012 17:28:21 -0400

apt-clone (0.2.3) UNRELEASED; urgency=low

  [ Michael Vogt ]
  * apt_clone.py:
    - fix restoring of the clone with later apt versions (thanks
      to Colin Watson)
    - bind mount /proc, /sys on restore to chroot (thanks to
      Colin Watson)

  [ Colin Watson ]
  * Port to Python 3:
    - Use Python 3-style print functions.
    - Use "raise Exception(value)" syntax rather than the old-style "raise
      Exception, value".
    - Use dict.items() rather than dict.iteritems().

  [ Evan Dandrea ]
  * Finish port to Python 3:
    - Handle unicode changes.
    - Do not leak file descriptors.
    - Test against both Python2.7 and Python3.
    - Do not use the deprecated failUnless.
    - Use the io module instead of StringIO.
    - Fix a failing test caused by acpi-support being in main.

  [ Stéphane Graber ]
  * Python 3 port:
    - Update packaging to build using python3
    - Update all the headers to use /usr/bin/python3

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 12 Jun 2012 15:58:34 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.8~),
+Build-Depends: debhelper (>= 7.0.50~),
                gettext,
                intltool,
-               python-all (>= 2.6.6-3~)
+               python3-all
 Standards-Version: 3.9.2
 Vcs-Bzr: http://bzr.debian.org/collab-maint/apt-clone/sid/
 Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/apt-clone/sid/
@@ -14,11 +14,11 @@
 
 Package: apt-clone
 Architecture: all
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
          lsb-release,
-         python-apt,
-         python (>= 2.7) | python-argparse
+         python3-apt,
+         python3
 Recommends: dpkg-repack
 Description: Script to create state bundles
  This package can be used to clone/restore the packages on a apt based

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py install --root=$(CURDIR)/debian/apt-clone --install-layout=deb; \
	done

## apt-clone 0.3

=== tests/Makefile ===

all: test

test:
	pyflakes ../apt-clone ../apt_clone.py
	set -e; for f in *.py; do \
		for ver in python3 python; do \
			PYTHONPATH=.. $$ver $$f -v ; \
		done; \
	done; \
	# cruft from the tests
	rm -f ./data/mock-system/var/cache/apt/*.bin
	rm -f ./lala.tar.gz

=== debian/changelog ===
apt-clone (0.3) experimental; urgency=low

  [ Michael Vogt ]
  * apt_clone.py:
    - implement a show-diff option allowing one to see the differences
      between a system and a clone file
    - fix restoring of the clone with later apt versions (thanks
      to Colin Watson)
    - bind mount /proc, /sys on restore to chroot (thanks to
      Colin Watson)
  * add dep8 style testsuite

  [ Colin Watson ]
  * Port to Python 3:
    - Use Python 3-style print functions.
    - Use "raise Exception(value)" syntax rather than the old-style "raise
      Exception, value".
    - Use dict.items() rather than dict.iteritems().

  [ Evan Dandrea ]
  * Finish port to Python 3:
    - Handle unicode changes.
    - Do not leak file descriptors.
    - Test against both Python2.7 and Python3.
    - Do not use the deprecated failUnless.
    - Use the io module instead of StringIO.
    - Fix a failing test caused by acpi-support being in main.

  [ Stéphane Graber ]
  * Python 3 port:
    - Update packaging to build using python3
    - Update all the headers to use /usr/bin/python3

  [ Brian Murray ]
  * apt_clone.py:
    - if specified remove usernames and passwords from sources files

 -- Michael Vogt <mvo@debian.org>  Thu, 01 Nov 2012 10:18:59 +0100

=== debian/tests/control ===
Tests: run-tests
Depends: @, pyflakes, python-apt, python3-apt, pep8, python-mock, python3-mock

## apt-clone 0.3.1~ubuntu4

=== tests/Makefile ===

all: test

test:
	sudo chown -R $$USER:$$USER .
	pyflakes ../apt-clone ../apt_clone.py
	set -e; for f in *.py; do \
		for ver in python3 python; do \
			PYTHONPATH=.. $$ver $$f -v 2>&1; \
		done; \
	done; \
	# cruft from the tests
	rm -f ./data/mock-system/var/cache/apt/*.bin
	rm -f ./lala.tar.gz

=== debian/changelog ===
apt-clone (0.3.1~ubuntu4) raring; urgency=low

  * Make better use of context managers, fixing various resource leaks.
  * Remove unused imports from tests.
  * Use logging.warning rather than the deprecated logging.warn.
  * Skip TestCloneUpgrade.test_clone_upgrade_regression; this is a
    regression test against a tarball created based on a specific (now
    obsolete) version of Ubuntu, and will need considerable effort to
    update.
  * Make TestCloneUpgrade.test_clone_upgrade_synthetic perform a
    clone-upgrade between the last two supported releases of Ubuntu, rather
    than hardcoding maverick and natty (LP: #1112472).
  * Don't leak a temporary directory from AptClone.simulate_restore_state.
  * Don't leak temporary directories from TestCloneUpgrade.
  * If no command is specified on the command line, fail cleanly with an
    error message rather than crashing (LP: #1111115).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Feb 2013 22:45:32 +0000

apt-clone (0.3.1~ubuntu3) raring; urgency=low

  * Do not include subdirectories in /etc/apt/sources.list.d/ (LP: #1077113)

 -- Brian Murray <brian@ubuntu.com>  Fri, 25 Jan 2013 13:47:56 -0800

apt-clone (0.3.1~ubuntu2) raring; urgency=low

  * Added XS-Testsuite header
  * Fixed ownership of testsuite data files
  * Redirected test stderr to stdout. python unittest output goes to stderr
    which adt-run considers as a failure. 

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Thu, 13 Dec 2012 16:20:02 +0100

apt-clone (0.3.1~ubuntu1) raring; urgency=low

  * Make sure #!/usr/bin/python3 is used, since dh_python3 stopped
    overriding it.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 06 Nov 2012 14:54:54 +0000

## apt-clone 0.3.1~ubuntu6

=== debian/changelog ===
apt-clone (0.3.1~ubuntu6) saucy; urgency=low

  * Properly handle unicode when rewriting source files, thanks to Colin
    Watson for the patch. (LP: #1212025)

 -- Brian Murray <brian@ubuntu.com>  Fri, 06 Sep 2013 14:50:16 -0700

apt-clone (0.3.1~ubuntu5) saucy; urgency=low

  [ Colin Watson ]
  * Avoid using "sudo chown" in tests if all files are already owned by the
    calling user.

  [ Steve Langasek ]
  * TestClone.test_restore_state_simulate: update to use distro_info like
    TestCloneUpgrade.test_clone_upgrade_synthetic does, now that natty is
    EOL.
  * Fix to work correctly when running in a non-UTF8 locale and UTF8 filenames
    are present in the dpkg database.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 Jul 2013 19:43:49 +0000

## apt-clone 0.3.1~ubuntu11

=== debian/changelog ===
apt-clone (0.3.1~ubuntu11) trusty; urgency=medium

  * lp:~brian-murray/apt-clone/test_clone_upgrade_ports:
    - fix test failure for ppc64el

 -- Brian Murray <brian@ubuntu.com>  Mon, 24 Feb 2014 08:24:54 -0800

apt-clone (0.3.1~ubuntu10) trusty; urgency=low

  [ Brian Murray ]
  * lp:~brian-murray/apt-clone/test_clone_upgrade_ports:
    - fix test failure for armhf
  
  [ Michael Vogt ]
  * fix test failure for ppc64el

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 22 Feb 2014 09:22:02 +0100

apt-clone (0.3.1~ubuntu9) trusty; urgency=medium

  * tests/data/apt-state.tar.gz: remove 'acpi-support' from the test case,
    since this package is arch-specific and we want our tests to work
    consistently across archs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Feb 2014 16:57:55 -0800

apt-clone (0.3.1~ubuntu8) trusty; urgency=medium

  * Fix path for setting permissions of restored /etc/apt/sources.list

 -- Brian Murray <brian@ubuntu.com>  Mon, 10 Feb 2014 10:36:19 -0800

apt-clone (0.3.1~ubuntu7) trusty; urgency=low

  * When restoring /etc/apt/sources.list set the permissions to 644.
  * Do not backup hidden files in /etc/apt/sources.list.d/ and only
    back up .list files (LP: #1254447)

 -- Brian Murray <brian@ubuntu.com>  Mon, 10 Feb 2014 08:32:57 -0800

## apt-clone 0.3.1~ubuntu11.1

=== debian/changelog ===
apt-clone (0.3.1~ubuntu11.1) trusty-proposed; urgency=medium

  * Resolve unicode decode error for sources.list files if locale is
    unsupported. (LP: #1309447)

 -- Brian Murray <brian@ubuntu.com>  Wed, 20 Aug 2014 14:21:21 -0700

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Vcs-Bzr: http://bzr.debian.org/collab-maint/apt-clone/sid/
 Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/apt-clone/sid/
 Homepage: https://launchpad.net/apt-clone
+XS-Testsuite: autopkgtest
 
 Package: apt-clone
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 	set -ex; for python in $(shell py3versions -r); do \
 		$$python setup.py install --root=$(CURDIR)/debian/apt-clone --install-layout=deb; \
 	done
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: run-tests
Depends: @, pyflakes, python-apt, python3-apt, pep8, python-mock, python3-mock, python-distro-info, python3-distro-info

## apt-clone 0.3.1~ubuntu12

=== debian/changelog ===
apt-clone (0.3.1~ubuntu12) utopic; urgency=medium

  [ Brian Murray ]
  * Add an option to replace the mirror used in /etc/apt/sources.list with one
    of your choosing. (LP: #1290584)
  * debian/tests/control: add in missing make dependency

  [ Michael Vogt ]
  * Resolve unicode decode error for sources.list files if locale is
    unsupported. (LP: #1309447)

 -- Brian Murray <brian@ubuntu.com>  Wed, 20 Aug 2014 13:54:48 -0700

## apt-clone 0.3.1~ubuntu13

=== debian/changelog ===
apt-clone (0.3.1~ubuntu13) vivid; urgency=medium

  * debian/control: updated Vcs-Bzr thanks to Launchpad user majun for the
    patch and the bug report. (LP: #1388328)

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Jan 2015 16:14:52 -0800

## apt-clone 0.3.1~ubuntu14

=== debian/changelog ===
apt-clone (0.3.1~ubuntu14) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 04:08:42 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                intltool,
                python3-all
 Standards-Version: 3.9.2
-Vcs-Bzr: http://bzr.debian.org/collab-maint/apt-clone/sid/
+Vcs-Bzr: https://alioth.debian.org/scm/loggerhead/collab-maint/apt-clone/sid
 Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/apt-clone/sid/
 Homepage: https://launchpad.net/apt-clone
 XS-Testsuite: autopkgtest

## apt-clone 0.4.1

=== debian/changelog ===
apt-clone (0.4.1) unstable; urgency=medium

  * show friendly error message when restore has no source file
    (thanks to Tim Wasser)
  * add new 'apt-clone clone --extra-files "/some/path"' option
    to store arbitrary number of extra files in an apt-clone
    file (and restore them of course)

 -- Michael Vogt <mvo@debian.org>  Fri, 06 Nov 2015 22:48:07 +0100

apt-clone (0.4) unstable; urgency=medium

  [ Michael Vogt ]
  * sync from ubuntu
  * add --exclude option to apt-clone restore

  [ Brian Murray ]
  * save packages with a foreign origin in a separate file

 -- Michael Vogt <mvo@debian.org>  Thu, 05 Nov 2015 10:45:46 +0100

## apt-clone 0.4.1ubuntu1

=== debian/changelog ===
apt-clone (0.4.1ubuntu1) xenial; urgency=medium

  * apt-clone: pass named parameters on to the AptClone library, to make
    sure we pass on the new distro name properly for upgrades from CD.
    (LP: #1553870)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 09 Mar 2016 16:30:19 -0500

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
                intltool,
                python3-all
 Standards-Version: 3.9.2
-Vcs-Bzr: https://alioth.debian.org/scm/loggerhead/collab-maint/apt-clone/sid
-Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/apt-clone/sid/
+Vcs-Git: https://github.com/mvo5/apt-clone
 Homepage: https://launchpad.net/apt-clone
 XS-Testsuite: autopkgtest

=== debian/tests/control ===
Tests: run-tests
Depends: @, pyflakes, python-apt, python3-apt, pep8, python-mock, python3-mock, python-distro-info, python3-distro-info, make

## apt-clone 0.4.1ubuntu2

=== tests/Makefile ===
--- 
+++ 
@@ -2,7 +2,9 @@
 all: test
 
 test:
-	sudo chown -R $$USER:$$USER .
+	if find \! -user $$USER | grep -q .; then \
+		sudo chown -R $$USER:$$USER .; \
+	fi
 	pyflakes ../apt-clone ../apt_clone.py
 	set -e; for f in *.py; do \
 		for ver in python3 python; do \

=== debian/changelog ===
apt-clone (0.4.1ubuntu2) yakkety; urgency=medium

  * adt: Skip desktop upgrades that do not exist on s390x.
  * adt: Copy archive keyrings into the chroots.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Sep 2016 20:06:14 +0100

## apt-clone 0.4.1ubuntu3

=== tests/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	fi
 	pyflakes ../apt-clone ../apt_clone.py
 	set -e; for f in *.py; do \
-		for ver in python3 python; do \
+		for ver in python3; do \
 			PYTHONPATH=.. $$ver $$f -v 2>&1; \
 		done; \
 	done; \

=== debian/changelog ===
apt-clone (0.4.1ubuntu3) focal; urgency=medium

  * Build-Depend on dh-python (LP: #1870047)
  * Only run tests on python3, there is no python-distro-info anymore.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 01 Apr 2020 16:31:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
+               dh-python,
                gettext,
                intltool,
                python3-all

=== debian/tests/control ===
Tests: run-tests
Depends: @, pyflakes, python-apt, python3-apt, pep8, python3-mock, python3-distro-info, make

## apt-clone 0.4.1ubuntu5

=== debian/changelog ===
apt-clone (0.4.1ubuntu5) groovy; urgency=medium

  * apt-clone: update how we determine the codename of the release which we
    are on. (LP: #1858326)

 -- Brian Murray <brian@ubuntu.com>  Wed, 19 Aug 2020 14:26:05 -0700

apt-clone (0.4.1ubuntu4) groovy; urgency=medium

  * s/pyflakes/pyflakes3/ for tests
  * Remove spurious python-apt test dep

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 02 Jun 2020 17:33:46 +0200

=== debian/tests/control ===
Tests: run-tests
Depends: @, pyflakes3, python3-apt, pep8, python3-mock, python3-distro-info, make

## apt-clone 0.4.1+nmu1

=== debian/changelog ===
apt-clone (0.4.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:18:40 +0800

## apt-clone 0.4.3ubuntu1

=== debian/changelog ===
apt-clone (0.4.3ubuntu1) hirsute; urgency=medium

  * d/t/control: depend on ubuntu-keyring instead of ubuntu-archive-keyring.

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Wed, 27 Jan 2021 15:26:20 -0300

apt-clone (0.4.3) unstable; urgency=medium

  * debian: update test dependencies

 -- Michael Vogt <mvo@debian.org>  Fri, 06 Nov 2020 08:17:14 +0100

apt-clone (0.4.2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove unnecessary XS-Testsuite field in debian/control.

  [ Ben Wiederhake ]
  * Cache distro metadata, speeding up the cloning immensely.

  [ Christian Ehrhardt ]
  * test_clone_upgrade: avoid false positives when a new release starts

  [ Michael Vogt ]
  * merge Ubuntu changes

 -- Michael Vogt <mvo@debian.org>  Thu, 05 Nov 2020 09:04:12 +0100

## apt-clone 0.4.3+nmu1~bpo11+1

=== debian/changelog ===
apt-clone (0.4.3+nmu1~bpo11+1) bullseye-backports; urgency=medium

  * Non-maintainer upload.
  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Oct 2021 19:01:41 -0400

apt-clone (0.4.3+nmu1) unstable; urgency=high

  * Non-maintainer upload.

  [ Michael Vogt ]
  * tests: skip clone/upgrade test on i386. (Closes: #981758)
    The i386 architecture is not fully supported anymore on Ubuntu
    so testing the upgrade with that will lead to issues.

  [ Shirocco88 ]
  * README.md: fix a typo.

  [ Lucas Kanashiro ]
  * d/t/control: depend on ubuntu-keyring instead of ubuntu-archive-keyring.
    ubuntu-archive-keyring is a transitional package in Debian and
    no longer exists in Ubuntu.

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Sep 2021 16:21:48 -0400

## apt-clone 0.4.3+nmu1

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Standards-Version: 3.9.2
 Vcs-Git: https://github.com/mvo5/apt-clone
 Homepage: https://launchpad.net/apt-clone
-XS-Testsuite: autopkgtest
 
 Package: apt-clone
 Architecture: all

## apt-clone 0.4.3+nmu1ubuntu1

=== debian/changelog ===
apt-clone (0.4.3+nmu1ubuntu1) lunar; urgency=medium

  * Apply PR #17 to have apt-clone call lsb_release as a command, instead of
    importing the Python module which no longer exists (LP: #2007566)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 16 Feb 2023 11:38:03 +0000

## apt-clone 0.4.3+nmu2

=== debian/changelog ===
apt-clone (0.4.3+nmu2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dave Jones ]
  * Apply PR #17 to have apt-clone call lsb_release as a command, instead of
    importing the Python module which no longer exists (LP: #2007566)


  [ Boyuan Yang ]
  * Import Ubuntu patch to fix crashes caused by missing lsb_release
    Python module. (Closes: #1021060)
  * debian/control: Replace deprecated Priority: extra with Priority:
    optional.

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Jun 2023 14:27:03 -0400

## apt-clone 0.4.3+nmu2ubuntu2

=== debian/changelog ===
apt-clone (0.4.3+nmu2ubuntu2) noble; urgency=medium

  * Fix tests on deb822-only system (LP: #2062622)
    On those systems, `/etc/apt/sources.list` doesn't exist. Let's check for
    `/etc/passwd` instead in the real system test.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 19 Apr 2024 18:40:41 +0200

apt-clone (0.4.3+nmu2ubuntu1) noble; urgency=medium

  * apt-clone: support deb822 sources on clone/restore (LP: #2057963)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 14 Mar 2024 15:18:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: apt-clone
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),

## apt-clone 0.4.3+nmu3

=== tests/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	if find \! -user $$USER | grep -q .; then \
 		sudo chown -R $$USER:$$USER .; \
 	fi
-	pyflakes ../apt-clone ../apt_clone.py
+	pyflakes3 ../apt-clone ../apt_clone.py
 	set -e; for f in *.py; do \
 		for ver in python3; do \
 			PYTHONPATH=.. $$ver $$f -v 2>&1; \

=== debian/changelog ===
apt-clone (0.4.3+nmu3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Florent 'Skia' Jacquet ]
  * Fix tests on deb822-only system (LP: #2062622)
    On those systems, `/etc/apt/sources.list` doesn't exist. Let's check for
    `/etc/passwd` instead in the real system test.

  [ Nick Rosbrook ]
  * apt-clone: support deb822 sources on clone/restore (LP: #2057963)

  [ Boyuan Yang ]
  * Import Ubuntu patches.
  * debian/control: Use dh-sequence-python3.
  * debian/control: Add build-dep python3-setuptools. (Closes: #1080538)
  * tests/test_clone.py: Fix a typo.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2024 15:59:13 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               dh-python,
+               dh-sequence-python3,
+               python3-setuptools,
                gettext,
                intltool,
                python3-all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with=python3
+	dh $@
 
 override_dh_auto_clean:
 	rm -rf build

=== debian/tests/control ===
Tests: run-tests
Depends: @, pyflakes3, python3-apt, pycodestyle, python3-mock, python3-distro-info, make, ubuntu-keyring

## apt-clone 0.4.3+nmu3build1

=== debian/changelog ===
apt-clone (0.4.3+nmu3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 13 Jan 2026 19:43:42 +0000
